Bug 118758 - com.redhat.persistence.oql.Query empty column names problem
com.redhat.persistence.oql.Query empty column names problem
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-19 16:14 EST by Brett Prucha
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-02 07:42:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brett Prucha 2004-03-19 16:14:51 EST
Description of problem:

Could you change line 131 of com.redhat.persistence.oql.Query to:

    sql = sql.add("1 as dummy");

Otherewise SQL Server gives me this error:

    No column was specified for column 1 of 'X'.

Before I was able to get around this with my SQLServerWriter.
Comment 1 Rafael H. Schloming 2004-03-19 19:18:59 EST
I've made this change on the qgen branch @41572. This should be pushed
to the trunk early next week.

Note You need to log in before you can comment on or make changes to this bug.